%define anolis_release 1

Name:           acpid
Version:        2.0.34
Release:        %{anolis_release}%{?dist}
Summary:        ACPI Event Daemon

License:        GPLv2+
URL:            http://sourceforge.net/projects/acpid2/
Source0:        http://downloads.sourceforge.net/acpid2/%{name}-%{version}.tar.xz

Source2:        acpid.video.conf
Source3:        acpid.power.conf
Source4:        acpid.power.sh
Source5:        acpid.service
Source6:        acpid.sysconfig
Source7:        acpid.socket

Patch0:         acpid-2.0.32-kacpimon-dynamic-connections.patch

BuildRequires:  gcc
BuildRequires:  systemd
BuildRequires:  make

Requires:       systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
acpid is a daemon that dispatches ACPI events to user-space programs.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/acpi/events
mkdir -p %{buildroot}%{_sysconfdir}/acpi/actions
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig

chmod 755 %{buildroot}%{_sysconfdir}/acpi/events
install -p -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/acpi/events/videoconf
install -p -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/acpi/events/powerconf
install -p -m 755 %{SOURCE4} %{buildroot}%{_sysconfdir}/acpi/actions/power.sh
install -p -m 644 %{SOURCE5} %{SOURCE7} %{buildroot}%{_unitdir}
install -p -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/sysconfig/acpid

%files
%doc %{_docdir}/%{name}
%{_unitdir}/*
%dir %{_sysconfdir}/acpi
%dir %{_sysconfdir}/acpi/events
%dir %{_sysconfdir}/acpi/actions
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/acpi/events/videoconf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/acpi/events/powerconf
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/acpi/actions/power.sh
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/acpid
%{_bindir}/acpi_listen
%{_sbindir}/*
%{_mandir}/man8/*
%license COPYING

%files doc
%doc README Changelog

%pre
if [ "$1" = "2" ]; then
        conflist=`ls %{_sysconfdir}/acpi/events/*.conf 2> /dev/null`
        RETCODE=$?
        if [ $RETCODE -eq 0 ]; then
                for i in $conflist; do
                        rmdot=`echo $i | sed 's/.conf/conf/'`
                        mv $i $rmdot
                done
        fi
fi

%post
%systemd_post %{name}.socket %{name}.service

%preun
%systemd_preun %{name}.socket %{name}.service

%postun
%systemd_postun_with_restart %{name}.socket %{name}.service

%triggerun -- %{name} < 2.0.10-2
        /sbin/chkconfig --del acpid >/dev/null 2>&1 || :
        /bin/systemctl try-restart acpid.service >/dev/null 2>&1 || :

%changelog
* Mon Jan 9 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 2.0.34-1
- Update to version 2.0.34

* Tue Mar  8 2022 forrest_ly <flin@linux.alibaba.com> - 2.0.33-1
- Init for Anolis OS 23
